Get recurrence collection attempt
curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections/attempts/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections/attempts/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/collections/attempts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"collection_id": "019f2433-fc72-3f85-4243-ee8a04846235",
"collection_timestamp": "2026-07-02T19:00:14.578179Z",
"due_date": "2026-07-02T19:00:14.578180Z",
"end_to_end_id": "E123123124120510240124BJJHBVGHBJGHBJHKNJ",
"external_id": "external id 1",
"id": "019f2433-fc72-50b3-c501-9c1409a26115",
"inserted_at": "2026-07-02T19:00:14.578180Z",
"status": "created",
"timestamp": "2026-07-02T19:00:14.578173Z",
"transaction_date": "2026-07-02T19:00:14.578179Z",
"txid": "1276T31G7T623GTYU123GJTY123JGTY",
"type": "type",
"updated_at": "2026-07-02T19:00:14.578180Z"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Recurrences (Pix)
Get Collection Attempt
Get recurrence collection attempt
GET
/
banking
/
cashin
/
pix
/
recurrences
/
collections
/
attempts
/
{id}
Get recurrence collection attempt
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Attempt ID Unique identifier
Response
Collection
Recurrence collection attempt response with stages
A recurrence collection attempt
Show child attributes
Show child attributes
Example:
{
"collection_id": "019f2433-fc72-3f85-4243-ee8a04846235",
"collection_timestamp": "2026-07-02T19:00:14.578179Z",
"due_date": "2026-07-02T19:00:14.578180Z",
"end_to_end_id": "E123123124120510240124BJJHBVGHBJGHBJHKNJ",
"external_id": "external id 1",
"id": "019f2433-fc72-50b3-c501-9c1409a26115",
"inserted_at": "2026-07-02T19:00:14.578180Z",
"status": "created",
"timestamp": "2026-07-02T19:00:14.578173Z",
"transaction_date": "2026-07-02T19:00:14.578179Z",
"txid": "1276T31G7T623GTYU123GJTY123JGTY",
"type": "type",
"updated_at": "2026-07-02T19:00:14.578180Z"
}
⌘I

